# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '2_1_copy_paste_text_between_Line_Edit_widgets.ui'
#
# Created by: PyQt5 UI code generator 5.15.2
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Dialog(object):
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(400, 300)
        self.lineEdit = QtWidgets.QLineEdit(Dialog)
        self.lineEdit.setGeometry(QtCore.QRect(80, 20, 251, 38))
        self.lineEdit.setObjectName("lineEdit")
        self.pushButtonCopy = QtWidgets.QPushButton(Dialog)
        self.pushButtonCopy.setGeometry(QtCore.QRect(150, 80, 110, 40))
        self.pushButtonCopy.setObjectName("pushButtonCopy")
        self.pushButtonPaste = QtWidgets.QPushButton(Dialog)
        self.pushButtonPaste.setGeometry(QtCore.QRect(150, 150, 110, 40))
        self.pushButtonPaste.setObjectName("pushButtonPaste")
        self.lineEdit_2 = QtWidgets.QLineEdit(Dialog)
        self.lineEdit_2.setGeometry(QtCore.QRect(82, 220, 251, 38))
        self.lineEdit_2.setObjectName("lineEdit_2")

        self.retranslateUi(Dialog)
        self.pushButtonCopy.pressed.connect(self.lineEdit.selectAll)
        self.pushButtonCopy.released.connect(self.lineEdit.copy)
        self.pushButtonPaste.clicked.connect(self.lineEdit_2.paste)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Dialog"))
        self.pushButtonCopy.setText(_translate("Dialog", "Copy"))
        self.pushButtonPaste.setText(_translate("Dialog", "Paste"))
